package com.all.bukkit.threadcheck;

import org.bukkit.event.Event;
import org.bukkit.event.player.*;

public class PlayerListener extends org.bukkit.event.player.PlayerListener {
	
	public void onPlayerJoin(PlayerJoinEvent event) {
		ThreadCheck.check(Event.Type.PLAYER_JOIN);
	}
	public void onPlayerQuit(PlayerQuitEvent event) {
		ThreadCheck.check(Event.Type.PLAYER_QUIT);
	}
	public void onPlayerKick(PlayerKickEvent event) {
		ThreadCheck.check(Event.Type.PLAYER_KICK);
	}
	public void onPlayerMove(PlayerMoveEvent event) {
		ThreadCheck.check(Event.Type.PLAYER_MOVE);
	}
	public void onPlayerTeleport(PlayerTeleportEvent event) {
		ThreadCheck.check(Event.Type.PLAYER_TELEPORT);
	}
	public void onPlayerChangedWorld(PlayerChangedWorldEvent event) {
		ThreadCheck.check(Event.Type.PLAYER_CHANGED_WORLD);
	}
	public void onItemHeldChange(PlayerItemHeldEvent event) {
		ThreadCheck.check(Event.Type.PLAYER_ITEM_HELD);
	}
	
}
